Creates an access group
POST
https://api.vercel.com/v1/access-groupsAllows to create an access group
https://api.vercel.com/v1/access-groups
const response = await fetch('https://api.vercel.com/v1/access-groups?teamId=string&slug=string', { method: 'POST', headers: { 'Authorization': 'Bearer YOUR_ACCESS_TOKEN', 'Content-Type': 'application/json', }, body: JSON.stringify({ "name": "My access group", "projects": [ { "projectId": "prj_ndlgr43fadlPyCtREAqxxdyFK", "role": "ADMIN" } ], "membersToAdd": [] }),});
const data = await response.json();console.log(data);Response
{ "accessGroupId": "ag_123a6c5209bc3778245d011443644c8d27dc2c50", "createdAt": "1588720733602", "entitlements": [], "membersCount": "123", "name": "my-access-group", "projectsCount": "123", "teamId": "team_123a6c5209bc3778245d011443644c8d27dc2c50", "teamPermissions": [], "teamRoles": [], "updatedAt": "1588720733602"}AuthorizationbearerToken
Default authentication mechanism
200Success
400One of the provided values in the request body is invalid.
401The request is not authorized.
403You do not have permission to access this resource.
404Error
410Error